As actualizações para o .NET Framework 2.0 SP2 e para o .NET Framework 3.0 SP2 podem originar a instalação em cadeia de outras actualizações

O suporte para o Windows XP terminou

A Microsoft terminou o suporte para o Windows XP em 8 de Abril de 2014. Esta alteração afetou as suas atualizações de software e opções de segurança. Aprenda o que isto significa para si e como pode ficar protegido.

O suporte para Windows Server 2003 terminou a 14 de Julho de 2015

A Microsoft terminou o suporte para Windows Server 2003 a 14 de Julho de 2015. Esta alteração afetou as suas atualizações de software e opções de segurança. Aprenda o que isto significa para si e como pode ficar protegido.

Sintomas
Ao instalar algumas actualizações para o Microsoft .NET Framework 2.0 Service Pack 2 (SP2) ou para o Microsoft .NET Framework 3.0 SP2, estas actualizações originam a instalação em cadeia de actualizações adicionais. Estas actualizações adicionais têm de ser instaladas para satisfazer novas dependências em determinados componentes do .NET Framework.
Mais Informação
Ao instalar determinadas actualizações para o .NET Framework 2.0 SP2 ou para o .NET Framework 3.0 SP2, estas actualizações originam a instalação de actualizações adicionais. Isto ocorre porque o Aviso de Segurança de Protecção Expandida introduziu a nova funcionalidade de protecção expandida que inclui novas dependências em "tipos" introduzidos recentemente. Esta nova funcionalidade consiste numa nova funcionalidade nas camadas de funcionalidades do .NET Framework 2.0 SP2 e do .NET Framework 3.0 SP2. A nova funcionalidade Windows Communication Foundation (WCF) da camada de funcionalidades do .NET Framework 3.0 SP2 tem uma dependência na nova funcionalidade correspondente da camada de funcionalidades do .NET Framework 2.0 SP2 e no novo "tipo". A nova funcionalidade ASP.NET na camada de funcionalidades do .NET Framework 2.0 SP2 também tem uma nova dependência na nova funcionalidade do System.Net (pilha de rede).

As actualizações dos componentes do .NET Framework são cumulativas. Por conseguinte, uma actualização para o componente ASP.NET disponibilizada depois do Aviso de Segurança de Protecção Expandida irá sempre incluir a nova funcionalidade ASP.NET para protecção expandida. Esta nova funcionalidade requer que a dependência da funcionalidade referida anteriormente (no novo "tipo") seja satisfeita. As actualizações para os componentes WCF e ASP.NET irão originar actualizações adicionais em cadeia para satisfazer esta dependência. Se esta dependência não for satisfeita, poderá detectar o problema descrito no seguinte artigo da Base de Dados de Conhecimento Microsoft: 
2262911 Erro de excepção "Não foi possível carregar o tipo 'System.Security.Authentication.ExtendedProtection.ExtendedProtectionPolicy'" após instalar as actualizações 982167 ou 982168
  • No Windows XP e no Windows Server 2003, as actualizações do componente ASP.NET no .NET Framework 2.0 SP2 também instalarão a seguinte actualização:
    980773 Descrição da actualização NCL para o .NET Framework 3.5 Service Pack 1 e para o .NET Framework 2.0 Service Pack 2 no Windows XP e no Windows Server 2003: 08.06.10
  • No Windows Vista SP1 e no Windows Server 2008, as actualizações do componente ASP.NET no .NET Framework 2.0 SP2 também instalarão a seguinte actualização:
    980843 Descrição da actualização NCL para o .NET Framework 3.5 Service Pack 1 no Windows Vista Service Pack 1 e no Windows Server 2008 Service Pack 1: 08.06.10
  • No Windows Vista SP2 e no Windows Server 2008, as actualizações do componente ASP.NET no .NET Framework 2.0 SP2 também instalarão a seguinte actualização:
    980842 Descrição da actualização NCL para o .NET Framework 3.5 Service Pack 1 no Windows Vista Service Pack 2 e no Windows Server 2008 Service Pack 2: 08.06.10
  • No Windows XP e no Windows Server 2003, as actualizações do componente WCF no .NET Framework 3.0 SP2 também instalarão as seguintes actualizações:  
    980773 Descrição da actualização NCL para o .NET Framework 3.5 Service Pack 1 e para o .NET Framework 2.0 Service Pack 2 no Windows XP e no Windows Server 2003: 08.06.10
    976765 Descrição da actualização ASP.NET para o Microsoft .NET Framework 3.5 Service Pack 1 e para o .NET Framework 2.0 Service Pack 2 no Windows XP e no Windows Server 2003: 08.06.10
  • No Windows Vista SP1 e no Windows Server 2008, as actualizações do componente WCF no .NET Framework 3.0 SP2 também instalarão as seguintes actualizações:
    980843 Descrição da actualização NCL para o .NET Framework 3.5 Service Pack 1 no Windows Vista Service Pack 1 e no Windows Server 2008 Service Pack 1: 08.06.10
    976767 Descrição da actualização ASP.NET para o .NET Framework 3.5 Service Pack 1 no Windows Vista Service Pack 1 e no Windows Server 2008 Service Pack 1: 08.06.10
  • No Windows Vista SP2 e no Windows Server 2008, as actualizações do componente WCF no .NET Framework 3.0 SP2 também instalarão as seguintes actualizações:
    980842 Descrição da actualização NCL para o .NET Framework 3.5 Service Pack 1 no Windows Vista Service Pack 2 e no Windows Server 2008 Service Pack 2: 08.06.10
    976768 Descrição da actualização ASP.NET para o .NET Framework 3.5 Service Pack 1 no Windows Vista Service Pack 2 e no Windows Server 2008 Service Pack 2: 08.06.10
Propriedades

ID do Artigo: 2436257 - Última Revisão: 10/26/2010 17:00:00 - Revisão: 4.0

  • Microsoft .NET Framework 3.0 Service Pack 2
  • Microsoft .NET Framework 2.0 Service Pack 2
  • Windows 7 Enterprise
  • Windows 7 Home Basic
  • Windows 7 Home Premium
  • Windows 7 Professional
  • Windows 7 Ultimate
  • Windows Server 2008 R2 Standard
  • Windows Server 2008 R2 Enterprise
  • Windows Server 2008 R2 Datacenter
  • Windows Server 2008 Service Pack 2
  • Windows Server 2008 for Itanium-Based Systems
  • Windows Server 2008 Datacenter
  • Windows Server 2008 Enterprise
  • Windows Server 2008 Standard
  • Windows Web Server 2008
  • Windows Vista Service Pack 2
  • Windows Vista Service Pack 1
  • Microsoft Windows Server 2003 Service Pack 2
  • Microsoft Windows XP Service Pack 3
  • kbbug kbexpertiseinter kbsecbulletin kbsecurity kbsecvulnerability kbsurveynew KB2436257
Esta informação foi útil?